DaHua NVR5216-16P-4KS2 firmware upgrade questions.

Xeddog

Pulling my weight
Joined
Apr 27, 2017
Messages
217
Reaction score
160
I have just found out that there is a (much) newer version of firmware from DaHua, but in looking through the compatible NVR's I do not see my EXACT model found. I am currently running version 3.215.0000000.3, Build Date: 2017-12-11, and I am looking at
DH_NVR5XXX-4KS2_MultiLang_V4.001.0000000.1.R.200319

The compatible models include 58xx, 54xx , and some 52xx models. There is 5216-16P-4KS2E (mine is not E), 5216-4KS2 (No PoE), 52A16-16P-4KS2E, but no plain old ordinary 5216-16P-4KS2. I think I should still be ok to upgrade to the V4 firmware, but just thought I had better ask the experts because I have read where the firmware can be very picky about which models are compatible, and just to be sure since I have also read that there is no going back.

Thanks.

Edit: Also, I wanted to make sure that DMSS still works.
 

msnow

Getting the hang of it
Joined
Aug 31, 2015
Messages
145
Reaction score
24
I have just found out that there is a (much) newer version of firmware from DaHua, but in looking through the compatible NVR's I do not see my EXACT model found. I am currently running version 3.215.0000000.3, Build Date: 2017-12-11, and I am looking at
DH_NVR5XXX-4KS2_MultiLang_V4.001.0000000.1.R.200319

The compatible models include 58xx, 54xx , and some 52xx models. There is 5216-16P-4KS2E (mine is not E), 5216-4KS2 (No PoE), 52A16-16P-4KS2E, but no plain old ordinary 5216-16P-4KS2. I think I should still be ok to upgrade to the V4 firmware, but just thought I had better ask the experts because I have read where the firmware can be very picky about which models are compatible, and just to be sure since I have also read that there is no going back.

Thanks.

Edit: Also, I wanted to make sure that DMSS still works.
Yes, wait until one of the regulars confirm it is the right firmware for you but I’ve gone back and reinstalled the older firmware on several occasions. So you can go back as long as it’s not bricked.


Sent from my iPhone using Tapatalk
 

Xeddog

Pulling my weight
Joined
Apr 27, 2017
Messages
217
Reaction score
160
Yes, wait until one of the regulars confirm it is the right firmware for you but I’ve gone back and reinstalled the older firmware on several occasions. So you can go back as long as it’s not bricked.
Thanks, Re: going back, I have read that it has been done by several people, but not when going the the V4 firmware. I don't see what the difference would be, but I did read that. Have you reverted V4 back to a V3 version yourself????
 

cys

n3wb
Joined
Feb 26, 2019
Messages
2
Reaction score
1
Location
turkey
I applied this upgrade to my 5216-4ks2 and its now in reboot loop just logo has appaers and nothing more rebooting it self now i want to downgrade my old firmware 3.216.00004 but how can i do pls help me!
 

msnow

Getting the hang of it
Joined
Aug 31, 2015
Messages
145
Reaction score
24
Thanks, Re: going back, I have read that it has been done by several people, but not when going the the V4 firmware. I don't see what the difference would be, but I did read that. Have you reverted V4 back to a V3 version yourself????
Yes, I reverted from v4 back to v3 twice but I’m now solidly on v4.


Sent from my iPad using Tapatalk
 
Joined
Feb 26, 2017
Messages
3,710
Reaction score
2,065
Location
USA
Do Not Update Your Firmware to the one you listed. The newer version of the firmware is for the second generation of the 5216-16P-4KS2 which ends in E. The newer firmware is only compatible with 5216-16P-4KS2E NOT the 5216-16P-4KS2. I believe Andy even mentioned this in that thread as a disclaimer. Contact @EMPIRETECANDY for a solution and the latest firmware.

I have just found out that there is a (much) newer version of firmware from DaHua, but in looking through the compatible NVR's I do not see my EXACT model found. I am currently running version 3.215.0000000.3, Build Date: 2017-12-11, and I am looking at
DH_NVR5XXX-4KS2_MultiLang_V4.001.0000000.1.R.200319

The compatible models include 58xx, 54xx , and some 52xx models. There is 5216-16P-4KS2E (mine is not E), 5216-4KS2 (No PoE), 52A16-16P-4KS2E, but no plain old ordinary 5216-16P-4KS2. I think I should still be ok to upgrade to the V4 firmware, but just thought I had better ask the experts because I have read where the firmware can be very picky about which models are compatible, and just to be sure since I have also read that there is no going back.

Thanks.

Edit: Also, I wanted to make sure that DMSS still works.
 
Joined
Feb 26, 2017
Messages
3,710
Reaction score
2,065
Location
USA

civic17

Getting the hang of it
Joined
Dec 7, 2018
Messages
155
Reaction score
53
Location
Canada
V2 and E same thing? I thought I read a while back that E Was for ePoE ?
 

Xeddog

Pulling my weight
Joined
Apr 27, 2017
Messages
217
Reaction score
160
Try this one. But your NVR is 2017, So i am not very sure if your NVR is V2 or V1.
Attention: Please be very careful before you update it, or else will kill the NVR.
This is very confusing. Is there some way to find out if I have V1 or V2? Maybe in the serial number, or ?????

When looking at the list of supported NVR's, there are some non-E models such as "NVR5208/5216/5232-8P-4KS2". I think this one is my machine even though it only shows the 8P, but I think this is just the way the entry was typed. Should have been more like NVR5208/5216/5232-8P/16P/32P-4KS2.

Wayne
 

EMPIRETECANDY

IPCT Vendor
Joined
Nov 8, 2016
Messages
3,829
Reaction score
7,771
Location
HONGKONG
DHI-NVR5232-4KS2,DHI-NVR5208-8P-4KS2,DHI-NVR5232-16P-4KS2,DHI-NVR5208-4KS2,DHI-NVR5216-4KS2,DHI-NVR5216-8P-4KS2,DHI-NVR5232-8P-4KS2,DHI-NVR5216-16P-4KS2,DHI-NVR5416-4KS2,DHI-NVR5464-4KS2,DHI-NVR5432-4KS2,DHI-NVR5816-4KS2,DHI-NVR5416-16P-4KS2,DHI-NVR5432-16P-4KS2,DHI-NVR5464-16P-4KS2,DHI-NVR5832-4KS2,DHI-NVR5864-4KS2,DHI-NVR5816-16P-4KS2,DHI-NVR5832-16P-4KS2,DHI-NVR5864-16P-4KS2,DHI-NVR5424-24P-4KS2,DHI-NVR5224-24P-4KS2,DHI-NVR5216-8P-4KS2E,DHI-NVR5208-8P-4KS2E

Support these models,model No. with DHI or without DHI are OK.
The old model Like NVR5208-8P , the firmware not support anymore.
 

highground

Young grasshopper
Joined
Apr 22, 2015
Messages
32
Reaction score
6
DHI-NVR5232-4KS2,DHI-NVR5208-8P-4KS2,DHI-NVR5232-16P-4KS2,DHI-NVR5208-4KS2,DHI-NVR5216-4KS2,DHI-NVR5216-8P-4KS2,DHI-NVR5232-8P-4KS2,DHI-NVR5216-16P-4KS2,DHI-NVR5416-4KS2,DHI-NVR5464-4KS2,DHI-NVR5432-4KS2,DHI-NVR5816-4KS2,DHI-NVR5416-16P-4KS2,DHI-NVR5432-16P-4KS2,DHI-NVR5464-16P-4KS2,DHI-NVR5832-4KS2,DHI-NVR5864-4KS2,DHI-NVR5816-16P-4KS2,DHI-NVR5832-16P-4KS2,DHI-NVR5864-16P-4KS2,DHI-NVR5424-24P-4KS2,DHI-NVR5224-24P-4KS2,DHI-NVR5216-8P-4KS2E,DHI-NVR5208-8P-4KS2E

Support these models,model No. with DHI or without DHI are OK.
The old model Like NVR5208-8P , the firmware not support anymore.
Sorry still confused Andy... Do you mean these models are supported for hardware version V1, or V2 only? Thank you.

Sent from my ONEPLUS A5000 using Tapatalk
 

EMPIRETECANDY

IPCT Vendor
Joined
Nov 8, 2016
Messages
3,829
Reaction score
7,771
Location
HONGKONG
Sorry still confused Andy... Do you mean these models are supported for hardware version V1, or V2 only? Thank you.

Sent from my ONEPLUS A5000 using Tapatalk
I just finish the updating on my NVR5216-4ks2 V1 made in 2017 and NVR5216-16P-4KS2 made in 2017 both can work well, the version before update No. as below.
1587003908220.png

The version update after updated. 4.0 AI version.

1587005352587.png
 
Last edited:
Top